Overview
Getting Started
MARKETPLACE
Widgets
MCP Server
Find Pros
Categories
Keywords
Requests
Leads
Messages
On-Demand Orders
Reviews
User Accounts
Testing Your Marketplace Integration
PRO INTEGRATIONS
Leads
Messages
Reviews
Pro Profiles
Business Phone Numbers
Manage Webhooks
Testing Your Pro Integration
Support
Changelog
Terms and Policies
Send and receive real-time messages between customers and pros through webhooks. You can also fetch message history for active leads.
API mapping: In the Thumbtack API, messages are exchanged within a lead, which is called a negotiation. Message endpoints use /api/v4/negotiations/{negotiationID}/messages.
Messaging allows customers and Pros to chat in order to discuss job details.
The Messages API supports several operations, discussed below.
You can view all Messages sent as part of a Negotiation via:
GET /api/v4/negotiations/{{negotiationID}}/messages HTTP/2authorization: Bearer {{authCode}}
{"data": [{"messageID": "519153481515696128","negotiationID": "519153480500518912","customer": {"customerID": "519153480034934784","displayName": "Olivia Y."},"from": "Customer","text": "Are you available on my date?","attachments": [],"sentAt": "2024-06-13T17:18:01Z"}],"pagination": {"limit": 3}}
You can create a webhook for a business if you are integrating for a Business, or create a webhook for a user if you are integrating for a Customer. Both of these approaches allow for Messages to be sent to the specified endpoint in real-time when the Message is created on Thumbtack.
You can send Messages to a Negotiation via:
POST /api/v4/negotiations/{{negotiationID}}/messages HTTP/2authorization: Bearer {{authCode}}content-type: application/json{"text": "Hello world"}
Last Updated: Apr 21st, 2026